//
// Copyright 2004 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wI18n:
//   Unicode-safe string methods class

#ifndef p4wI18n_H
#define p4wI18n_H

class p4wI18n {

public:
	p4wI18n() {};
	virtual ~p4wI18n() {};

	//
	// Static unicode-safe method to return pointer to the last instance
	// of a character in a string
	
	static char *safeStrrchr( char *s, char c );
	
	//
	// Static unicode-safe method to find last instance
	// of a character in a string, and return its byte position
	// in the string
		
	static int safeStrrchrPos( char *s, char c );
	
	//
	// Static unicode-safe method to return pointer to the first
	// instance of a character in a string
	
	static char *safeStrchr( char *s, char c );
	
	//
	// Static unicode-safe method to find the first instance
	// of a character in a string, and return its byte position
	// in the string
	
	static int safeStrchrPos( char *s, char c );
	
	//
	// Utility method to apply the converter to a string and return
	// its result
	
	static char *convertText( CharSetCvt *cvt, char *s );

private:

};

#endif // p4wI18n_H
